CD Insert Maker

The CD Insert Maker allows you to make a table of contents for your CDs.
To quickly jump to a topic click the picture over the area you want more information on.


CD Insert Maker Working with a list

Listing the contents of an audio CD

Editing list items

Using the edit dialog

Adding an item to the list

Moving items up or down

Creating a new list

Opening a saved list

Saving a list


CD Insert Maker Listing the contents of an audio CD

Related Topics: Reading a CD content FAQ

To list the contents of an audio CD select the button shown

Select the path to the CD drive from the drop down box and click OK.

Next the contents of the CD is listed with the track number and length of the song.

Select an item in the list and double click it.

The edit box is brought up with the item, here you can type the name
of the title for the song and any more data that you wish to be displayed.
Click the Update button when your done.

FAQ:

Q: What types of data are read from the CD
A: All audio data tracks of the type .cda (CD Audio files)

Q: When I eject the CD drive and insert a CD no tracks are detected.
A: If you open the CD drive with the program you must close the drive the same way with the program.
Opening the CD drive with the program

Closing the CD drive

CD drive has been closed and waiting to read

Q: I ejected the CD drive as above and closed the CD drive as above but still does not read the CD.
A: Try changing the wait time by clicking the icon and increasing the wait time shown.(CD access times will vary)
Q: I increased the CD drive wait time as much as it will go as above but still does not read the CD.
A: Inform me of this and more allowed times will be added to the program and an updated will be put out ASP.
In the meen time allow time for the CD drive to spin up then hit the Close/Refresh button again this will read the CD drive.

Q: I inserted a CD and closed the CD drive as above but another program opened the CD and started playing it.
A: Your auto insert notification is turned ON for the particular CD drive. To turn OFF the auto insert notification you must go to your Device manager and choose the particular CD drive you are trying to use and set the Auto insert notification OFF. NOTE: that this requires a reboot of your system before the effect will take place.


CD Insert Maker editing list items

When you have a list loaded you can then select an item in the list and right click
for a defined menu.
or you can select the edit button
at the bottom of the toolbar to bring up the edit dialog.

Items on the menu and there meanings are:

Remove - Removes only the selected item in the list with the current focus.
Edit item - Brings up the Edit dialog.
Move item up - Moves only the current selected item in the list with the focus up (same as the up arrow).
Move item down - Moves only the current selected item in the list with the focus down (same as the down arrow).
Refresh list - Redraws the preview window
TIP: you can double click an item in the list to bring up the Edit dialog


CD Insert Maker Using the edit dialog

From the edit dialog you have a more defined view of your list item.
The edit dialog.
You can remove, edit and update the item.

Special Notes to consider:
If you have multiple items selected then only the last item you selected or the item with the focus will be the edited item as shown below (this applies also to the update).

IserList30.gif (1993 bytes)

The edited item with the focus, here the item is changed.

Here is the edited item after it has been updated.
If you have multiple items selected then the remove button will be displayed like Remove(*) this indicates that you are going to delete all those items selected in the list.

Here even though all these items have been selected only one will have the focus.

At this point if you bring up the edit dialog only the current item with the focus is shown. The remove button is shown as Remove(*). If you elect to remove at this point then all the selected items are removed as shown here.

The Clear button will only clear the edit text box as shown here.

This only clears what is in the textbox this does not update or remove.
Cancel will close the edit dialog.


CD Insert Maker Adding an item to the list

To add your item descriptions to the list type your text in the text box

just above the tool bar at the bottom. Then click the Add button on the tool bar.


CD Insert Maker moving items up or down

The arrow buttons to the right of the list items can be used to move an item up or down in the list.
The middle checked button is a refresh and will redisplay the preview.

Here the item marked Track 3 has been moved up one in the list.

Note that only the current selected item if more than one item is selected is only moved.

Here multiple items have been selected, the current selected item has the focus with the dotted lines.

When the item is moved down only this item is moved.


CD Insert Maker Creating a new list

To create a new Insert list click the New button located on the tool bar at the bottom.

Related topic: Handling the prompt to save


CD Insert Maker Opening a saved list

  1. From the toolbar at the bottom of the dialog click Open.

  2. Click a file in the list you have saved and click open.

Related topic: Handling the prompt to save


CD Insert Maker Save

CD Insert Maker Saving a list to a file

  1. From the toolbar at the bottom of the dialog click Save-As

  2. Type a name that you want to save the list as and click Save.

TIP: If you have already saved the project you are working in and want to save your changes quickly as you work. Clicking the Save-As button has the same effect as a normal save command.

Related topic: Handling the prompt to save


CD Insert Maker Handling the prompt to save

The prompt to save dialog is presented any time you have made changes to a project.

Scenarios:

If you have not saved a project to a file you will receive a dialog like the following.
It will show <Not saved as file yet>.

The following are the results of clicking one of the buttons from this dialog.

Yes- will display the normal SaveAs dialog
No- will do nothing and continue with the operation you were attempting
Cancel- will abort the process that you were doing at the time. Some examples are as follows.
If you were creating a new project or opening an existing project, clicking cancel will keep you in the same project.
If you were closing the program, clicking cancel will keep the program open.

If you have already saved the project once you will receive a dialog like the following.
The file name is listed already, this project has been saved before.

The following are the results of clicking one of the buttons from this dialog.

Yes- will automatically save the project and will continue with the operation you were attempting.
No- will not save and continue with the operation you were attempting
Cancel- will abort the process that you were doing at the time. Some examples are as follows.
If you were creating a new project or opening an existing project, clicking cancel will keep you in the same project.
If you were closing the program, clicking cancel will keep the program open.


CD Insert Maker Font Attrib

CD Insert Maker Font Attrib. menu

Setting Font attributes

Setting a font


CD Insert Maker setting attributes

The attributes for a theme or font are changed by setting one or more of the following.

Font - Bold, Italic, Underline, Size and Color

Insert Background Color

Note: That when you have a picture set for the background the background color is ignored.


CD Insert Maker font list

The font list shows all availble fonts from your system.

To quickly find the font you want you can type the name in the text box atop the list this will start searching the list and will find the first font by the name you type.


CD Insert Maker Options menu

Show last item marker

Show split line


CD Insert Maker last item marker

The last item marker shows a line that represents the safe range of the items in the list
when the last item marker goes below the bottom of the list this indicates the text
will not be printed below this line.

To turn the last item marker on/off click the Options menu
and check or uncheck the menu item Show last item marker.


CD Insert Maker show split line

When ever the split line is checked it will show on the preview and will be printed also
this is the center line on the insert and is merely a fold line if you want.

To turn the split line on/off click the Options. menu
and check or uncheck the menu item Show split line.


CD Insert Maker Preview

The left pane shows a scaled down preview of the list.

You may also reach the themes menu by right clicking the preview background.

Related topic: Themes menu


CD Insert Maker Add Background

CD Insert Maker Add Background picture

JumpTo: Effects Menu More effects Open Tiles
When the add background is checked a background picture will appear. You can then click this picture [image] and you will be taken to a block of background tile pictures.
To set a different tile picture simply left click on the block with the mouse and that picture will be tiled over the background.
TIP: If you hit the tile pictures by mistake right click to Cancel.

Effects Menu [image] To obtain the effects menu from the background picture right click the tile picture. From the effects menu you can apply effects such as Blur to the tile or view more effects, you can also save/open any tiles you have saved to disk.

More effects [image] From here you can apply different effects such as Blur, Lighten, etc.

Open Tiles [image] The tile pics list the altered tiles you have saved so that you may load these up later.


CD Insert Maker Opening and applying a tile

CD Insert Maker Opening and applying a saved tile

  1. From the Effects menu click Open tiles.
  2. When the tile dialog opens click on the tile you want for the background.
    Options available on the tile pics viewer are as follows
    If the Close on Selection in the upper right hand corner is unchecked then when you click on a tile the picture will be applied but the viewer will remain open until you close it.
    If the Close on Selection in the upper right hand corner is checked then when you click on a tile the picture will be applied and the viewer will automatically close.

Related topic: Making your own tiles with a third party software


CD Insert Maker Setting offeset margins

The left offset is used to position the text from the left side of the list.
The vert. spacing is used to space between the items in the list.


CD Insert Maker Themes menu

The themes menu lets you quickly set a default theme or apply a theme to the list you have opened.
The themes menu can also be reached by right clicking the Preview window
Set as default theme
This menu allows you to set a default theme to
use every time you load the CD Insert Tool.
This will save all the settings you have specified
such as the font, size, colors, background tile and so on.
Apply theme

This menu will apply your default theme to the current file you have open.


CD Insert Maker Making your own tiles

CD Insert Maker - Adding your own background tiles

To make your own background tiles using a third party software such as Mspaint, Photo-Paint, Paint Shop Pro, etc.

  1. Create a new bmp or jpg with the size of 40x40 pixels.
  2. Save the file to your desktop or a temporary folder.
  3. Rename the file as a .itl file
  4. Move the file to the JewelPro\Pictures folder


.topic 9050
Sets the current font to a bold state

.topic 9051
Sets the current font to an italic state

.topic 9052
Sets the current font to display an underline

.topic 9053
Sets the font size from 5 points to 24 points

.topic 9054
When checked will display a line to show where the last item is on the picture display preview.

.topic 9055
When checked will display the split line or (Fold line) on the topic list. This split line will also be printed when checked.

.topic 9056
You can adjust the spacing from the left edge to the font edge by increasing or decreasing this value.

.topic 9057
You can adjust the spacing between the items in the list by increasing or decreasing this value.

.topic 9058
When checked will add a tile back ground to the list. To select a different back ground click the picture below when checked.

.topic 9059
You can change the font color from this dialog to display the text in a different color.

.topic 9060
You can change the back ground color from this dialog. The background color is displayed when you are not using a back ground picture.

.topic 9061
Displays a preview of the selected font.

.topic 9062
Displays a preview of your current Insert list like it will be printed. You can right click this preview and set the default theme, this will set all of the current settings you have selected to open with every time you call CD Insert maker.

.topic 9063
This textbox allows you to start typing a font name and if found in the font list it will be selected.

.topic 9064
Displays all of your printer fonts available to use on your system. Click a font name in the list to set that font as the current font to use.

.topic 9065
Left click this picture to go to the tiled back grounds. Then click any picture to tile that picture as the current back ground. Right click this picture for a menu of picture effects.

.topic 9066
Displays the items you have added to the table list. You can select an item in the list and right click for the context menu. You can also double click an item to display the edit item textbox.

.topic 9067
Adds the item in the text box to the table list.

.topic 9068
Prints the current Insert list to your printer.

.topic 9069
Select to open a Insert list file that you have saved.

.topic 9070
Select to save your current list to a file for later retrieval.

.topic 9071
Select to clear all the items in the table list.

.topic 9072
Select to edit an item in the list.

.topic 9073
Select to add the current information in the text box to the table list.

.topic 9074
Will remove the current selected item(s) in the table list.

.topic 9075
Will clear the text from the edit item text box.

.topic 9076
Will update the current item select in the table list. (NOTE: that if you have selected multiple items then the last item you selected with the mouse will be the replaced item)

.topic 9077
Closes this edit bar.

.topic 9078
Edit item text box

.topic 9079
Moves the selected item in the list up.

.topic 9080
Refresh the list and redisplay the preview.

.topic 9081
Moves the selected item in the list down.

.topic 9091
Select to search a CD for audio tracks to display tracks and length of tracks.